Page MenuHomePhabricator

Set time in vagrant
Closed, ResolvedPublic

Description

Playing with stretch-migration.... I noticed the VM is on PST. The host is not, this was confusing :)

Event Timeline

Reedy created this task.Jan 4 2018, 9:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 9:03 PM
Reedy updated the task description. (Show Details)Jan 4 2018, 9:03 PM
bd808 added a subscriber: bd808.Jan 4 2018, 9:08 PM
$ vagrant ssh -- date
Thu Jan  4 21:06:02 GMT 2018
$ vagrant ssh -- ls -l /etc/localtime
lrwxrwxrwx 1 root root 24 Jan  4 21:07 /etc/localtime -> /usr/share/zoneinfo//UTC
Reedy added a comment.Jan 5 2018, 12:54 AM

And after nuking everything (including the clone of the vagrant repo) it's still on PST

bd808 added a comment.Jan 5 2018, 4:14 AM

I bet this is a base image difference! We should set it in puppet just to make it consistent everywhere. Maybe nicest to do it using a hiera variable too so that if somebody really hates having their timestamps in UTC that they can change it.

Change 402176 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] Set timezone

https://gerrit.wikimedia.org/r/402176

Change 402176 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] Set timezone

https://gerrit.wikimedia.org/r/402176

bd808 closed this task as Resolved.Jan 6 2018, 11:44 PM
bd808 claimed this task.